Package com.independentsoft.office.spreadsheet

# Class DataConsolidate

java.lang.Object
com.independentsoft.office.spreadsheet.DataConsolidate

public class DataConsolidate extends Object
The Class DataConsolidate.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataConsolidate()`
  Instantiates a new data consolidate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataConsolidate`
  `clone()`
  `List<DataConsolidationReference>`
  `getDataConsolidationReferences()`
  Gets the data consolidation references.
  `DataConsolidateFunction`
  `getFunction()`
  Gets the function.
  `boolean`
  `isCreateLinks()`
  Checks if is creates the links.
  `boolean`
  `isTopLabels()`
  Checks if is top labels.
  `void`
  `setCreateLinks​(boolean createLinks)`
  Sets the creates the links.
  `void`
  `setFunction​(DataConsolidateFunction function)`
  Sets the function.
  `void`
  `setTopLabels​(boolean topLabels)`
  Sets the top labels.
  `void`
  `setUseLeftColumnLabels​(boolean useLeftColumnLabels)`
  Sets the use left column labels.
  `String`
  `toString()`
  `boolean`
  `useLeftColumnLabels()`
  Use left column labels.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataConsolidate

    public DataConsolidate()
    Instantiates a new data consolidate.

- ## Method Details

  - ### clone

    public DataConsolidate clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDataConsolidationReferences

    public List<DataConsolidationReference> getDataConsolidationReferences()
    Gets the data consolidation references.
    Returns:
      the data consolidation references

  - ### getFunction

    public DataConsolidateFunction getFunction()
    Gets the function.
    Returns:
      the function

  - ### setFunction

    public void setFunction​(DataConsolidateFunction function)
    Sets the function.
    Parameters:
      `function` - the new function

  - ### useLeftColumnLabels

    public boolean useLeftColumnLabels()
    Use left column labels.
    Returns:
      true, if successful

  - ### setUseLeftColumnLabels

    public void setUseLeftColumnLabels​(boolean useLeftColumnLabels)
    Sets the use left column labels.
    Parameters:
      `useLeftColumnLabels` - the new use left column labels

  - ### isCreateLinks

    public boolean isCreateLinks()
    Checks if is creates the links.
    Returns:
      true, if is creates the links

  - ### setCreateLinks

    public void setCreateLinks​(boolean createLinks)
    Sets the creates the links.
    Parameters:
      `createLinks` - the new creates the links

  - ### isTopLabels

    public boolean isTopLabels()
    Checks if is top labels.
    Returns:
      true, if is top labels

  - ### setTopLabels

    public void setTopLabels​(boolean topLabels)
    Sets the top labels.
    Parameters:
      `topLabels` - the new top labels